Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Get Work Order ETA GETGet Work Order Schedule GETUpdate Work Order Schedule PUT

Resources

WorkflowSchedule

Get Work Order ETA


Get the estimated time of arrival (ETA) and related timing information for this work order.

GET
/api/rest/v2/workorders/{work_order_id}/eta

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/eta"
{
  "user": {
    "id": 123
  },
  "task": {
    "id": 123
  },
  "start": {
    "utc": "string_value",
    "local": {
      "date": "2025-01-01",
      "time": "12:00:00"
    }
  },
  "end": {
    "utc": "string_value",
    "local": {
      "date": "2025-01-01",
      "time": "12:00:00"
    }
  },
  "hour_estimate": 0,
  "notes": "string_value",
  "status": {
    "name": "Sample Name",
    "updated": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    }
  },
  "mode": "string_value"
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Create Work Order Site Revisit POST

Previous Page

Get Work Order Schedule GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/eta"